import { RequestChunk, ResponseChunk, Streamer } from "./streamer";
declare const LOG_COLORS: {
    responseFailed: import("chalk").Chalk & {
        supportsColor: import("chalk").ColorSupport;
    };
    responseSuccessful: import("chalk").Chalk & {
        supportsColor: import("chalk").ColorSupport;
    };
    requestNoStatus: import("chalk").Chalk & {
        supportsColor: import("chalk").ColorSupport;
    };
};
declare class StreamLogger {
    static onRequest(chunk: RequestChunk, currentHandler: Streamer, previousStream?: Streamer, nextStream?: Streamer): void;
    static onResponse(chunk: RequestChunk, currentHandler: Streamer, previousStream?: Streamer, nextStream?: Streamer): void;
    static getKeyColor(chunk: ResponseChunk): import("chalk").Chalk & {
        supportsColor: import("chalk").ColorSupport;
    };
    static getKeyString(chunk: RequestChunk): string;
}
export { LOG_COLORS, StreamLogger };
